Bug 832002 - Failed to add a direct lun again after it's removed
Failed to add a direct lun again after it's removed
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.1 RC
x86_64 Linux
high Severity high
: ---
: 3.3.4
Assigned To: Nobody's working on this, feel free to take it
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 05:13 EDT by Mark Wu
Modified: 2016-02-10 12:13 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 17:58:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Wu 2012-06-14 05:13:37 EDT
Description of problem:
When I tried to add a direct lun as a VM disk, I found that it can only be added once. After I removed it, I can't see the lun again after click the button 'login'
I was using iscsi as storage server.

Version-Release number of selected component (if applicable):
ovirt-engine-backend-3.1.0_0001-1.8.fc17.noarch

How reproducible:
always


Steps to Reproduce:
1. click "Disks" and then click "Add"
2. check in "external"
3. click "discoery targets", type iscsi server ip address and click "discover"
4. click "login"
  
Actual results:
The first time I can see the lun to be added after login, so it can be added successfully. But after it's removed, I can't see it anymore after login.


Expected results:
Can add direct lun again after it's removed.


Additional info:
I found the lun still exists in the database table "luns" after it's removed from disk. But no entry is found in the table "disk_lun_map". I am not sure if it's related.
Comment 1 Itamar Heim 2013-03-11 17:58:27 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.